×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Regular Contributor
    Join Date
    Jul 2004
    Posts
    273

    "invalid version" error when obfuscate my jar with proguard

    I am working with proguard to make file size smaller. the obfuscated jar woks on my 6230(NOKIAS40 phone) but when install on 3230(nokia s60) it failed with "invalid version" errror.

    regards

  2. #2
    Super Contributor
    Join Date
    Mar 2006
    Posts
    516

    Re: "invalid version" error when obfuscate my jar with proguard

    Hi,

    did u try the un obfuscated jar in the 3230 phone??
    Was it working perfectly??

    Wang

  3. #3
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: "invalid version" error when obfuscate my jar with proguard

    Did you remove the previous installation of the midlet from the phone before installing the new version?

    Hartti

  4. #4
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: "invalid version" error when obfuscate my jar with proguard

    Uups, but of course. Didn't read the question properly. 3230 is a CLDC 1.0 device (MIDP 2.0 though). 6230 is CLDC 1.1. You cannot install CLDC 1.1 midlets on CLDC 1.0 devices (main difference is floating point support).

    Hartti

  5. #5
    Regular Contributor
    Join Date
    Jul 2004
    Posts
    273

    Re: "invalid version" error when obfuscate my jar with proguard

    Quote Originally Posted by hartti
    Uups, but of course. Didn't read the question properly. 3230 is a CLDC 1.0 device (MIDP 2.0 though). 6230 is CLDC 1.1. You cannot install CLDC 1.1 midlets on CLDC 1.0 devices (main difference is floating point support).

    Hartti
    yes, i selected the wrong cldc version, thanks so much

    daniel

Similar Threads

  1. symbian "invalid version" Java
    By lutzy1982 in forum Mobile Java General
    Replies: 2
    Last Post: 2005-04-27, 13:46
  2. JAR not working after obfuscate with proguard
    By ciprian.d in forum Mobile Java Tools & SDKs
    Replies: 2
    Last Post: 2005-01-07, 09:49
  3. Using proguard to obfuscate my midlet
    By ellemem in forum Mobile Java General
    Replies: 1
    Last Post: 2003-09-22, 08:13

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×